Android SDK(API Level) — İşletim Sistemi Uyumu

Bu yazıda Android SDK Api Level ile İşletim sistemi arasındaki uyumdan bahsedeceğim.

API LEVEL :

Uygulama ve işletim sistemi arasında haberleşmesini ve etkileşmesini sağlayan tekil(unique) değerdir.

Minimum Required SDK
Uygulamanın  en düşük hangi Android sürümünde çalışabileceğini belirtilir. Uygulamanızın bir cihaza yüklenebilmesi için cihazın işletim sisteminin değeri, belirtilen  "minSdkVersion" değerinden düşük olmaması gerekiyor aksi halde uygulama cihaza kurulamaz.
Uygulamalarınızda kullandığınız kütüphaneler veya ek özellikler varsa ona göre de minimum API Level' imiz  değiştirebiliriz.
Target SDK
Uygulamanın test edileceği en yüksek android versiyonunu gösterir.

Uygulama yaratılırken ilk başta Minimum SDK gibi özellikleriniz belirtilir.

Android Studio’da build.gradle minSdk-targetSdk versiyonlarını değiştirilebilir.

Manifests dosyasında ;

<uses-sdk android:minSdkVersion="integer"
android:targetSdkVersion="integer"
android:maxSdkVersion="integer" />

gibi permissionlar da tanımlanabilir.

Uygulamanızın Min Sdk Version-Target Sdk versiyonlarına Project Structure kısmından da erişip değiştirebilirsiniz.